NativeBridgeDataSource.getMyUserInfo = function () {
  if (typeof android != "undefined") {
    return JSON.parse(android.getMyUserInfo());
  } else {
    return JSON.parse(callNativeApp(NATIVE_KEY_IOS.currentUserInfo, {}));
  }
};

var CurrentUserInfo = class {
  sid;
  loginID;
  shopName;
  shopMemberID;
  languageCode;
  constructor(userInfo) {
    this.sid = userInfo.sid;
    this.loginID = userInfo.loginId;
    this.shopName = userInfo.shopName;
    this.shopMemberID = userInfo.shopMemberId;
    if (userInfo.languageCode == undefined) {
      userInfo.languageCode = "jp";
    }
    this.languageCode = userInfo.languageCode;
  }

  configureLanguage(languageCode = undefined) {
    if (languageCode == undefined) {
      languageCode = this.languageCode;
    }
    moment.locale(languageCode);
    setLanguage(languageCode);
  }
};

var currentUserInfo = new CurrentUserInfo(
  NativeBridgeDataSource.getMyUserInfo()
);

currentUserInfo.configureLanguage();
